Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155060 - postun scriptlet fails on backout
Summary: postun scriptlet fails on backout
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: nfs-utils
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Steve Dickson
QA Contact: Petr Beňas
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-15 21:22 UTC by Joe Keller
Modified: 2015-01-04 22:58 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-20 15:58:14 UTC


Attachments (Terms of Use)
Patch for fixing the bug (deleted)
2005-04-15 21:22 UTC, Joe Keller
no flags Details | Diff

Description Joe Keller 2005-04-15 21:22:38 UTC
Description of problem:

When backing out nfs-utils-1.0.6-33EL to nfs-utils-1.0.1-3.9, the %postun 
scriptlet exits with a 1 failing the backout.  The postun for this RPM is
%postun
if [ "$1" -ge 1 ]; then
        /etc/rc.d/init.d/nfs condrestart > /dev/null
fi

and the problem is the condrestart does not exist in version 1.0.1-3.9 so if 
you run the command by hand you'll see:

# /etc/rc.d/init.d/nfs condrestart
Usage: nfs {start|stop|status|restart|reload}

Since this call is failing that is the value being returned from the 
scriptlet.  Later versions of the nfs-utils RPM have added additional rc script 
calls (rpcidmapd and rpcgssd) so it would appear the return code from these 
calls are not relevant to the exit code from the scriptlet.  A simple solution 
is to always return 0 (patch provided).



Version-Release number of selected component (if applicable):

nfs-utils-1.0.6-33EL

How reproducible:

Always

Steps to Reproduce:
1.back out RPM
2.
3.
  
Actual results:

error: %postun(nfs-utils-1.0.6-33EL) scriptlet failed, exit status 1
error: Erase failed failed in rpmpsmStage().


Expected results:

No error

Additional info:

Comment 1 Joe Keller 2005-04-15 21:22:39 UTC
Created attachment 113257 [details]
Patch for fixing the bug

Comment 2 Steve Dickson 2005-04-16 12:53:57 UTC
Fixed in nfs-utils-1.0.6-35EL

Comment 3 Joe Keller 2005-04-18 15:17:51 UTC
(In reply to comment #2)
> Fixed in nfs-utils-1.0.6-35EL

Where can I find nfs-utils-1.06.35EL?

Comment 4 Steve Dickson 2005-04-22 14:29:54 UTC
It appear the this version missed the U5 boat.... Sorry about that...
So I put it on my people page: http://people.redhat.com/steved/bz155060/

Comment 6 Jiri Pallich 2012-06-20 15:58:14 UTC
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.


Note You need to log in before you can comment on or make changes to this bug.